Annonce

Lorsque vous exposez un problème que vous rencontrez sur votre site, n’omettez pas de bien préciser l’adresse de la page (URL) concernée.

Ouvrez un nouveau sujet de discussion pour poser une question, n'utilisez pas une discussion déjà ouverte si votre problème est différent.
Lorsque votre sujet est résolu, indiquez-le en cliquant sur le lien "Passer le sujet en résolu".

Pour les possesseurs de sites Minecraft : Tous les ports TCP/UDP en sortie sont ouverts.
Pour en savoir plus : https://www.franceserv.fr/wiki/minecraft

#1 22/02/2020 10:09:34

mathematiquessl
Membre
Inscription : 26/12/2012
Messages : 8

[Résolu] Upgrading phpbb 3.2.9 to 3.3 --> Error 500

Bonjour !

J'upgrade mon forum de version phpbb installé sur un serveur FranceServ et, tout ce que j'obtiens en suivant les étapes du forum phpbb, c'est une erreur 500 ; je n'arrive même pas jusqu'à l'installation proprement dite.

Je me demande si le problème ne vient pas de FranceServ. Sauriez-vous m'aider ? De quelles informations avez vous besoin ?

Merci !

Hors ligne

#2 22/02/2020 11:38:02

elodie
Responsable/CEO FranceServ Hébergement
Lieu : Jura
Inscription : 02/04/2010
Messages : 7 551
Site Web

Re : [Résolu] Upgrading phpbb 3.2.9 to 3.3 --> Error 500

Bonjour,

Quel est le message d'erreur lié à ce code HTTP 500 s'il vous plait ?

Si vous avez une page entièrement blanche, il vous faut activer l'affichage des messages d'alertes et d'erreurs PHP via votre interface de gestion en cliquant sur la roue dentée en face de votre site, vous trouverez cette option dans l'onglet PHP.


P8OdseCN.gifVous avez une question ?

Posez-la de préférence sur le forum et si ça demande un contact plus instantané, n'hésitez pas à vous rendre sur le t'chat IRC. Si votre question est personnelle, utilisez alors dans ce cas le formulaire de contact ou alors le téléphone.

Hors ligne

#3 22/02/2020 12:15:13

mathematiquessl
Membre
Inscription : 26/12/2012
Messages : 8

Re : [Résolu] Upgrading phpbb 3.2.9 to 3.3 --> Error 500

Merci !

J'ai ça, du coup :

Fatal error: Cannot redeclare getallheaders() in /home/httpd/m/a/t/mathematiquessl/mathematiquessl.franceserv.com/forum/vendor/ralouphie/getallheaders/src/getallheaders.php on line 10

J'imagine que c'est plutôt une erreur liée à phpbb ?

Hors ligne

#4 22/02/2020 12:58:31

elodie
Responsable/CEO FranceServ Hébergement
Lieu : Jura
Inscription : 02/04/2010
Messages : 7 551
Site Web

Re : [Résolu] Upgrading phpbb 3.2.9 to 3.3 --> Error 500

Bonjour de nouveau,

C'est un message d'erreur habituel à partir de PHP 7.2, il suffit de renommer le nom de la fonction à la ligne et dans le fichier mentionné afin de ne pas la redéclarer à nouveau car elle existe déjà sur les versions PHP 7.2+

J'ai eu plusieurs fois le cas, par exemple avec cet autre solution Web :
https://www.franceserv.fr/forum/topic-3 … tml#p20089


P8OdseCN.gifVous avez une question ?

Posez-la de préférence sur le forum et si ça demande un contact plus instantané, n'hésitez pas à vous rendre sur le t'chat IRC. Si votre question est personnelle, utilisez alors dans ce cas le formulaire de contact ou alors le téléphone.

Hors ligne

#5 22/02/2020 13:09:32

mathematiquessl
Membre
Inscription : 26/12/2012
Messages : 8

Re : [Résolu] Upgrading phpbb 3.2.9 to 3.3 --> Error 500

Élodie : merci beaucoup !

Ça a marché du premier coup, mon forum est up !

Bonne journée !

Hors ligne

Pied de page des forums

[ Générées en 0.022 secondes, 9 requêtes exécutées - Utilisation de la mémoire : 592.03 Kio (pic d'utilisation : 617.7 Kio) ]